阿里云ECS centos系统主机安装you

  • 时间:
  • 浏览:0
  • 来源:5分PK10_5分PK10官网

echo /usr/local/lib >> /etc/ld.so.conf.d/local.conf

2、下载Python3.5的源码包并编译

yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel

unzip -o -d /opt/soft/you-get /opt/soft/master.zip

下载视频:

wget https://www.python.org/ftp/python/3.5.0/Python-3.5.0.tgz

make install

    You-Get是另一一两个 多基于Python 3的视频下载工具

python3 --version

一. 关于you-get

    几乎支持目前主要的国内视频网站

yum groupinstall "Development tools"

ln –s /usr/local/bin/python3 /usr/bin/python3

python3 /opt/soft/you-get/you-get-master/you-get http://www.yicai.com/videos/2016/01/4735362.html

tar xf Python-3.5.0.tgz

二、 you-get安装

wget https://github.com/soimort/you-get/archive/master.zip

查看视频基本信息

cd Python-3.5.0

下载最新you-get:

3、在运行Python之前 必须配置库:

    GitHub地址:https://github.com/soimort/you-get

1、CentOS6.5 安装Python 的依赖包

具体安装步骤如下:

yum groupremove "Development tools" --remove-leaveas

alias py=python3

4、运行演示:

三. you-get使用

Python 3.5.0

    You-Get视频下载工具

ldconfig

python3 /opt/soft/you-get/you-get-master/you-get -i  http://www.yicai.com/videos/2016/01/4735362.html

yum remove zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel --remove-leaves

6、设置别名方便使用

解压到指定目录

you-get安装必须python3环境的支持

5、删除编译Python时所必须的库

make

执行如下命令:

./configure --prefix=/usr/local --enable-shared

    项目主页:http://www.soimort.org/you-get